com.genesyslab.wfm7.API.service.config750

## Class CfgMarkedTime

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config750.CfgMarkedTime

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgMarkedTime
      extends java.lang.Object
      implements java.io.Serializable

  Marked Time definition
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `timestamp` Timestamp value
    `private int` | `wmColor` Schedule state RGB color value.
    `private int` | `wmFontColor` Schedule state font RGB color value.
    `private int` | `wmMarkedTimeId` Marked Time ID
    `private java.lang.String` | `wmName` Name
    `private java.lang.String` | `wmShortName` Short Name
    `private int` | `wmSiteId` Site ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgMarkedTime()`
    `CfgMarkedTime(int wmMarkedTimeId, int wmSiteId, java.lang.String wmName, java.lang.String wmShortName, int wmColor, int wmFontColor, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getTimestamp()` Gets the timestamp value for this CfgMarkedTime.
    `int` | `getWmColor()` Gets the wmColor value for this CfgMarkedTime.
    `int` | `getWmFontColor()` Gets the wmFontColor value for this CfgMarkedTime.
    `int` | `getWmMarkedTimeId()` Gets the wmMarkedTimeId value for this CfgMarkedTime.
    `java.lang.String` | `getWmName()` Gets the wmName value for this CfgMarkedTime.
    `java.lang.String` | `getWmShortName()` Gets the wmShortName value for this CfgMarkedTime.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this CfgMarkedTime.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgMarkedTime.
    `void` | `setWmColor(int wmColor)` Sets the wmColor value for this CfgMarkedTime.
    `void` | `setWmFontColor(int wmFontColor)` Sets the wmFontColor value for this CfgMarkedTime.
    `void` | `setWmMarkedTimeId(int wmMarkedTimeId)` Sets the wmMarkedTimeId value for this CfgMarkedTime.
    `void` | `setWmName(java.lang.String wmName)` Sets the wmName value for this CfgMarkedTime.
    `void` | `setWmShortName(java.lang.String wmShortName)` Sets the wmShortName value for this CfgMarkedTime.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this CfgMarkedTime.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmMarkedTimeId

          private int wmMarkedTimeId

      Marked Time ID

    - #### wmSiteId

          private int wmSiteId

      Site ID

    - #### wmName

          private java.lang.String wmName

      Name

    - #### wmShortName

          private java.lang.String wmShortName

      Short Name

    - #### wmColor

          private int wmColor

      Schedule state RGB color value. A value of -1 stands for NULL.

    - #### wmFontColor

          private int wmFontColor

      Schedule state font RGB color value. A value of -1 stands for NULL.

    - #### timestamp

          private long timestamp

      Timestamp value

  - ### Constructor Detail

    - #### CfgMarkedTime

          public CfgMarkedTime()

    - #### CfgMarkedTime

          public CfgMarkedTime(int wmMarkedTimeId,
                       int wmSiteId,
                       java.lang.String wmName,
                       java.lang.String wmShortName,
                       int wmColor,
                       int wmFontColor,
                       long timestamp)

  - ### Method Detail

    - #### getWmMarkedTimeId

          public int getWmMarkedTimeId()

      Gets the wmMarkedTimeId value for this CfgMarkedTime.
      Returns:
        wmMarkedTimeId

    - #### setWmMarkedTimeId

          public void setWmMarkedTimeId(int wmMarkedTimeId)

      Sets the wmMarkedTimeId value for this CfgMarkedTime.
      Parameters:
        `wmMarkedTimeId` -

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this CfgMarkedTime.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this CfgMarkedTime.
      Parameters:
        `wmSiteId` -

    - #### getWmName

          public java.lang.String getWmName()

      Gets the wmName value for this CfgMarkedTime.
      Returns:
        wmName

    - #### setWmName

          public void setWmName(java.lang.String wmName)

      Sets the wmName value for this CfgMarkedTime.
      Parameters:
        `wmName` -

    - #### getWmShortName

          public java.lang.String getWmShortName()

      Gets the wmShortName value for this CfgMarkedTime.
      Returns:
        wmShortName

    - #### setWmShortName

          public void setWmShortName(java.lang.String wmShortName)

      Sets the wmShortName value for this CfgMarkedTime.
      Parameters:
        `wmShortName` -

    - #### getWmColor

          public int getWmColor()

      Gets the wmColor value for this CfgMarkedTime.
      Returns:
        wmColor

    - #### setWmColor

          public void setWmColor(int wmColor)

      Sets the wmColor value for this CfgMarkedTime.
      Parameters:
        `wmColor` -

    - #### getWmFontColor

          public int getWmFontColor()

      Gets the wmFontColor value for this CfgMarkedTime.
      Returns:
        wmFontColor

    - #### setWmFontColor

          public void setWmFontColor(int wmFontColor)

      Sets the wmFontColor value for this CfgMarkedTime.
      Parameters:
        `wmFontColor` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgMarkedTime.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgMarkedTime.
      Parameters:
        `timestamp` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.